:root {
  --color-blue-light: #2867c6;
  --color-blue-dark: #112d51;
  --color-blue-light-text: #5a607a;
  --color-blue-light-bg: #eff5f9;
  --color-white: #fff;
  --color-grey-dark: #1a1b24;
  --color-grey-light: #fafafa;
  --color-grey-dark-text: #434343;
  --color-grey-mid: #666666;
  --border-grey: 1px solid #d7d7d7;
  --border-radius-10: 10px;
  --border-radius-5: 5px;
  --max-width: 1170px;
  --transition-main: 0.2s ease;
  --shadow-main: 0px 4px 6px 1px rgba(0, 0, 0, 0.15);
  --box-shadow-soft: 0px -26px 20px 0px rgba(0, 0, 0, 0.06);
}
.cig--mobile-only {
  display: none;
}
.cig--desktop-only {
  display: block;
}
.cig--container-max-width-pc {
  margin-inline: auto;
  position: relative;
  max-width: var(--max-width);
  padding: 0 20px;
}
@media (max-width: 768px) {
  .cig--mobile-only {
    display: block;
  }
  .cig--desktop-only {
    display: none;
  }
  .cig--container-max-width-pc {
    position: relative;
    padding: 0;
  }
}

.cig--company-banner-img {
  width: 100%;
  max-height: 380px;
  border-radius: 10px;
  object-fit: cover;
  margin-bottom: 40px;
}
.cig--job-content-header-wrapper {
  display: flex;
  flex-direction: row;
  gap: 20px;
  margin-bottom: 40px;
}
@media (max-width: 768px) {
  .cig--job-content-header-wrapper {
    display: none;
  }
}

.cig--company-logo-img-wrapper {
  box-sizing: border-box;
  width: fit-content;
  max-width: 172px;
  max-height: 86px;
  padding: 5px;
  background: var(--color-white);
  border-radius: 10px;
  border: 1px solid rgba(40, 103, 198, 0.15);
  box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.12);
  -webkit-box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.12);
  -moz-box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.12);
  transition: all 0.2s ease;
}
.cig--company-logo-img-wrapper:hover {
  transform: scale(0.98);
  box-shadow: none;
}

@media (max-width: 768px) {
  .cig--company-logo-img-wrapper {
    margin: -40px 0 25px;
  }
}

img.cig--company-logo-img {
  width: 100%;
  min-width: 76px;
  min-height: 76px;
  max-height: 76px;
  object-fit: contain;
}
ul.cig--job-header-meta-wrapper {
  margin: 0;
  padding: 0;
  list-style: none;
  width: 100%;
}
ul.cig--job-header-meta-wrapper li {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 10px;
  align-items: center;
}
ul.cig--job-header-meta-wrapper li span,
ul.cig--job-header-meta-wrapper li a {
  font-size: 14px;
  font-weight: 400;
  line-height: 1.5;
}
ul.cig--job-header-meta-wrapper li span {
  color: var(--color-blue-light-text);
}
h1.cig--job-header-title {
  margin: 0 0 5px 0;
  color: var(--color-blue-dark);
  font-size: 26px;
  line-height: 1.3;
  font-weight: bold;
}
a.cig--outward-link {
  position: relative;
  text-decoration: none;
  color: var(--color-blue-light);
  font-size: inherit;
  white-space: nowrap;
  padding-right: 16px;
}
a.cig--outward-link::after {
  content: "";
  width: 16px;
  height: 16px;
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  background: url("data:image/svg+xml,%3Csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M4.98449 4.43635H11.5613V11.0132M11.1046 4.89307L4.43642 11.5612' stroke='%232867C6' stroke-width='1.2' stroke-miterlimit='10' stroke-linecap='square'/%3E%3C/svg%3E%0A")
    center / contain no-repeat;
}
.cig__mobile-cta-wrapper {
  display: none;
  background: var(--color-white);
  padding: 10px 20px;
  position: sticky;
  bottom: 0;
  box-shadow: 0px -5px 10px 0px rgba(0, 0, 0, 0.06);
}
@media (max-width: 768px) {
  ul.cig--job-header-meta-wrapper {
    padding-bottom: 15px;
    border-bottom: 1px solid #d1dff2;
  }
  h1.cig--job-header-title {
    margin: 0 0 10px 0;
    font-size: 22px;
  }
  /* Mobile Footer Links */
  .cig--mobile-cta-wrapper {
    box-sizing: border-box;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
  }
  .cig--mobile-cta-wrapper a.cig--btn-mid-centered {
    font-size: 14px;
    padding: 15px;
  }
}

/* Sidebar */
ul.cig--sidebar-salary-list-wrapper,
ul.cig--sidebar-meta-list-wrapper {
  margin: 0;
  display: flex;
  flex-direction: column;
  gap: 10px;
  list-style: none;
  color: var(--color-blue-dark);
}
ul.cig--sidebar-salary-list-wrapper {
  padding: 0;
}
ul.cig--sidebar-meta-list-wrapper {
  padding: 15px 0;
  border-top: 1px solid #d1dff2;
  border-bottom: 1px solid #d1dff2;
}
ul.cig--sidebar-salary-list-wrapper li,
ul.cig--sidebar-meta-list-wrapper li {
  display: flex;
  gap: 10px;
  font-weight: 500;
  line-height: 1.3;
  font-size: 14px;
}
ul.cig--sidebar-salary-list-wrapper li {
  flex-direction: column;
}
ul.cig--sidebar-meta-list-wrapper li {
  flex-direction: row;
  justify-content: space-between;
}
ul.cig--sidebar-salary-list-wrapper li span:last-child {
  font-weight: bold;
  font-size: 16px;
}
ul.cig--sidebar-meta-list-wrapper li span:last-child {
  text-align: end;
  font-weight: bold;
}
/* Meta pills */
ul.cig--jobsearch-joblist-metadata-wrapper {
  pointer-events: none;
  width: 100%;
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 5px;
}
li.cig--jobsearch-joblist-metadata-item {
  padding: 5px 10px;
  border-radius: 50px;
  background: var(--color-white);
  font-size: 12px;
  font-weight: 600;
  color: var(--color-grey-dark-text);
  white-space: nowrap;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  box-shadow: 0px 1px 6px 0px rgba(0, 0, 0, 0.06);
  -webkit-box-shadow: 0px 1px 6px 0px rgba(0, 0, 0, 0.06);
  -moz-box-shadow: 0px 1px 6px 0px rgba(0, 0, 0, 0.06);
}
/* CTA */
.cig--sidebar-cta-container {
  margin: 10px 0;
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.cig--btn-mid-centered {
  box-sizing: border-box;
  display: block;
  padding: 12px 30px;
  text-transform: uppercase;
  text-align: center;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  border-radius: 50px;
  cursor: pointer;
  text-decoration: none;
  transition: 0.3s ease;
}
.cig--btn-solid-primary {
  border: 1px solid transparent;
  background: var(--color-blue-light);
  color: var(--color-white);
}
.cig--btn-border-primary {
  border: 1px solid var(--color-blue-light);
  color: var(--color-blue-light);
  background: transparent;
}
.cig--btn-solid-primary:hover,
.cig--btn-border-primary:hover {
  border: 1px solid transparent;
  color: var(--color-white);
  background: var(--color-grey-dark);
}
/* Share Job */
.cig--share-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 10px;
}
.cig--share-wrapper span {
  color: var(--color-blue-dark);
  font-size: 14px;
  font-weight: 400;
}
ul.cig--share-list-wrapper {
  margin: 0;
  padding: 0;
  display: flex;
  gap: 14px;
  list-style: none;
}
.cig--share-icon {
  display: block;
  width: 20px;
  height: 20px;
}
.cig--icon--fb {
  background: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M11.5386 11.3849H13.7364L14.6155 7.69261H11.5386V5.84646C11.5386 4.89569 11.5386 4.0003 13.2969 4.0003H14.6155V0.898762C14.3289 0.85907 13.2467 0.769531 12.1039 0.769531C9.71707 0.769531 8.02213 2.29907 8.02213 5.10799V7.69261H5.38477V11.3849H8.02213V19.2311H11.5386V11.3849Z' fill='%232867C6'/%3E%3C/svg%3E%0A")
    center / contain no-repeat;
}
.cig--icon--x {
  background: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cg clip-path='url(%23clip0_7844_23351)'%3E%3Cmask id='mask0_7844_23351' style='mask-type:luminance' maskUnits='userSpaceOnUse' x='0' y='0' width='20' height='20'%3E%3Cpath d='M0 0H20V20H0V0Z' fill='white'/%3E%3C/mask%3E%3Cg mask='url(%23mask0_7844_23351)'%3E%3Cpath d='M15.75 0.769531H18.8171L12.1171 8.58891L20 19.2311H13.8286L8.99143 12.778L3.46286 19.2311H0.392857L7.55857 10.8646L0 0.770986H6.32857L10.6943 6.66826L15.75 0.769531ZM14.6714 17.357H16.3714L5.4 2.54613H3.57714L14.6714 17.357Z' fill='%232867C6'/%3E%3C/g%3E%3C/g%3E%3Cdefs%3E%3CclipPath id='clip0_7844_23351'%3E%3Crect width='20' height='20' fill='white'/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E%0A")
    center / contain no-repeat;
}
.cig--icon--indeed {
  background: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cg clip-path='url(%23clip0_7844_23358)'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M7.62707 7.20246H11.0554V8.91015C11.5492 7.928 12.8157 7.04553 14.7182 7.04553C18.3652 7.04553 19.2311 9.00061 19.2311 12.5877V19.2311H15.5388V13.4046C15.5388 11.3618 15.0449 10.2098 13.7877 10.2098C12.044 10.2098 11.3194 11.4514 11.3194 13.4037V19.2311H7.62707V7.20246ZM1.29569 19.0742H4.98799V7.04553H1.29569V19.0742ZM5.51692 3.12338C5.51705 3.43286 5.45568 3.73929 5.33635 4.02484C5.21703 4.3104 5.04213 4.56939 4.82184 4.78676C4.60089 5.00656 4.3388 5.18067 4.05054 5.29915C3.76228 5.41762 3.4535 5.47813 3.14184 5.47723C2.51378 5.47581 1.9113 5.22826 1.46369 4.78769C1.24427 4.56951 1.07002 4.31022 0.950912 4.02464C0.831802 3.73906 0.770167 3.4328 0.769531 3.12338C0.769531 2.49846 1.01876 1.9003 1.46461 1.45907C1.9111 1.01681 2.51431 0.768955 3.14276 0.769532C3.7723 0.769532 4.37599 1.01784 4.82184 1.45907C5.26769 1.9003 5.51692 2.49846 5.51692 3.12338Z' fill='%232867C6'/%3E%3C/g%3E%3Cdefs%3E%3CclipPath id='clip0_7844_23358'%3E%3Crect width='20' height='20' fill='white'/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E%0A")
    center / contain no-repeat;
}
.cig--icon--link {
  background: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M9.65507 5.18705L12.1338 2.98465C12.8881 2.31417 13.9112 1.9375 14.9779 1.9375C15.5061 1.9375 16.0291 2.02998 16.5171 2.20965C17.0051 2.38932 17.4485 2.65267 17.822 2.98465C18.1954 3.31664 18.4917 3.71077 18.6938 4.14454C18.896 4.5783 19 5.04321 19 5.51271C19 5.98221 18.896 6.44712 18.6938 6.88088C18.4917 7.31465 18.1954 7.70878 17.822 8.04077L15.3443 10.2441M4.65703 9.6307L2.17827 11.8331C1.42384 12.5037 1 13.4132 1 14.3616C1 15.31 1.42384 16.2195 2.17827 16.8901C2.9327 17.5608 3.95594 17.9375 5.02287 17.9375C6.0898 17.9375 7.11303 17.5608 7.86746 16.8901L10.3452 14.6868M12.1317 8.04077L7.86533 11.8331' stroke='%232867C6' stroke-width='2' stroke-linecap='square'/%3E%3C/svg%3E%0A")
    center / contain no-repeat;
}

@media (max-width: 768px) {
  .cig--share-icon {
    display: block;
    width: 24px;
    height: 24px;
    gap: 14px;
  }
  .cig--company-banner-img-mb {
    width: 100%;
    height: 180px;
    object-fit: cover;
    border-radius: 10px 10px 0 0;
  }
  .cig--sidebar-floating-container.cig--sidebar-floating-container-mb {
    border-radius: 0 0 10px 10px;
  }
}
